import 'package:fcs/data/provider/carton_data_provider.dart';
import 'package:fcs/domain/entities/carton.dart';
import 'package:fcs/domain/entities/connectivity.dart';
import 'package:flutter/material.dart';

import 'carton_service.dart';

class CartonServiceImp implements CartonService {
  CartonServiceImp({
    @required this.cartonDataProvider,
    @required this.connectivity,
  });

  final Connectivity connectivity;
  final CartonDataProvider cartonDataProvider;

  @override
  Future<void> createCarton(Carton carton) {
    return cartonDataProvider.createCarton(carton);
  }

  @override
  Future<void> deleteCarton(Carton carton) {
    return cartonDataProvider.deleteCarton(carton);
  }

  @override
  Future<void> updateCarton(Carton carton) {
    return cartonDataProvider.updateCarton(carton);
  }

  @override
  Future<void> deliver(Carton carton) {
    return cartonDataProvider.deliver(carton);
  }
}
